Bug 252287 - AMD/ATI SB600/700/800 use same SMBus controller devID
AMD/ATI SB600/700/800 use same SMBus controller devID
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Bhavna Sarathy
Martin Jenner
: FutureFeature, OtherQA
: 299921 335351 (view as bug list)
Depends On: 244195
Blocks: 335381 367631 RHEL4u7_relnotes 422551 430698
  Show dependency treegraph
Reported: 2007-08-14 23:52 EDT by Shane Huang
Modified: 2009-06-19 20:10 EDT (History)
8 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-24 15:15:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fixes SMBus controller Device IDs (2.23 KB, patch)
2008-02-19 13:28 EST, Bhavna Sarathy
no flags Details | Diff

  None (edit)
Description Shane Huang 2007-08-14 23:52:19 EDT
+++ This bug was initially created as a clone of Bug #252286 +++

Description of problem:
We find that SB700 and SB800 use the same SMBus device ID as SB600, which is
0x4385, instead of the already submitted 0x4395.
We submitted an error SB700 SMBus patch in the bugzilla# 244195
Please apply the attached new SMBus patch, which can remove the wrong applied
SB700 SMBus patch submitted before.

Besides removing the SB700 wrong patch, the attached patch add SB800 support to
kernel, by renaming the PCI_DEVICE_ID_ATI_IXP600_SMBUS into

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Would you please help to apply this new patch ASAP before the release of
RHEL4.6? Because the error device ID 0x4395 will be used in SB800 SATA

I have sent this new patch to kernel.org, I will send you the upstream commit
after they apply it.

The patch is generated on the base of linux-2.6.23-rc3, so maybe you need do
some small backport to it when you apply it.

-- Additional comment from shane.huang@amd.com on 2007-08-14 23:46 EST --
Created an attachment (id=161327)
SB600/SB700/SB800 use same SMBus controll device ID
Comment 1 Shane Huang 2007-08-31 05:59:35 EDT
upstream commit:
Comment 2 Russell Doty 2007-10-24 11:33:27 EDT
*** Bug 335351 has been marked as a duplicate of this bug. ***
Comment 3 Bhavna Sarathy 2008-02-19 13:28:56 EST
Created attachment 295314 [details]
Fixes SMBus controller Device IDs 

This patch was created against -68.11 tree.
Comment 4 Shane Huang 2008-02-21 04:18:01 EST
*** Bug 299921 has been marked as a duplicate of this bug. ***
Comment 5 Bhavna Sarathy 2008-02-28 15:43:23 EST
Patch tested by AMD chipset QA on SB600, SB700 boards.
Comment 7 Vivek Goyal 2008-03-05 22:29:06 EST
Committed in 68.17.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 9 Don Domingo 2008-05-14 20:14:11 EDT
added to RHEL4.7 Driver Updates:


(x86_64) i2c_piix4: module added to support AMD ATI SB600, SB700, and SB800.

please advise if any further revisions are required. thanks!
Comment 10 Don Domingo 2008-06-02 19:17:22 EDT

the RHEL4.7 release notes deadline is on June 17, 2008 (Tuesday). they will
undergo a final proofread before being dropped to translation, at which point no
further additions or revisions will be entertained.

a mockup of the RHEL4.7 release notes can be viewed here:

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Comment 11 Chris Ward 2008-06-05 11:56:40 EDT
~ Attention: ~ Feedback requested regarding this **High Priority** bug. 

A fix for this issue should be included in the latest packages contained in
RHEL4.7-Snapshot1--available now on partners.redhat.com.

After you (Red Hat Partner) have verified that this issue has been addressed,
submit a comment describing the passing results of your test in appropriate
detail, along with which snapshot and package version tested. The bugzilla will
be updated by Red Hat Quality Engineering for you when this information has been

If you believe this issue has not properly fixed or you are unable to verify the
issue for any reason, please add a comment describing the most recent issues you
are experiencing, along with which snapshot and package version tested. 

If you believe the bug has not been fixed, change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and bugzilla will be updated for you. 

If you need assistance accessing ftp://partners.redhat.com, please contact your
Partner Manager.

Thank you
Red Hat QE Partner Management
Comment 14 errata-xmlrpc 2008-07-24 15:15:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

Comment 15 Chris Ward 2008-07-29 03:28:03 EDT
Partners, I would like to thank you all for your participation in assuring the
quality of this RHEL 4.7 Update Release. My hat's off to you all. Thanks.

Note You need to log in before you can comment on or make changes to this bug.